> ## Documentation Index
> Fetch the complete documentation index at: https://hoopdev-docs-improve-idp-sso-pages.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Database Instances

> It list RDS Database Instances



## OpenAPI

````yaml https://use.hoop.dev/api/openapiv3.json post /integrations/aws/rds/describe-db-instances
openapi: 3.0.3
info:
  contact:
    email: help@hoop.dev
    name: Help
    url: https://help.hoop.dev
  description: >-
    Hoop.dev is an access gateway for databases and servers with an API for
    packet manipulation
  license:
    name: MIT
    url: https://opensource.org/license/mit
  termsOfService: https://hoop.dev/docs/legal/tos
  title: Hoop Api
  version: 1.49.10
servers:
  - url: https://use.hoop.dev/api
security: []
tags:
  - description: >
      Hoop implements Oauth2 and OIDC protocol to authenticate users in the
      system. To obtain a valid access token users need to authenticate in their
      own identity provider which is generated as a JSON response to the
      endpoint `http(s)://use.hoop.dev/api/login`. The identity provider them
      redirects the user to the callback endpoint containing the access token.


      The recommended approach of obtaining an access token is by visiting the
      Webapp main's page or using the **Hoop command line**. Example:


      ```sh

      hoop config create --api-url https://use.hoop.dev

      # save the token after authenticating at $HOME/.hoop/config.toml

      hoop login

      # show token information

      hoop config view --raw

      ```


      With an access token you could use any HTTP client to interact with the
      documented endpoints.

      The token must be sent through the `Authorization` header.


      Example:


      ```sh

      # obtain the current configuration of the server

      curl https://use.hoop.dev/api/serverinfo -H "Authorization: Bearer
      $ACCESS_TOKEN"

      ```
    name: Authentication
  - description: >
      Users are active and assigned to the default organization when they
      signup. A user could be set to an inactive state preventing it from
      accessing the platform, however it’s recommended to manage the state of
      users in the identity provider.


      - The `sub` claim is used as the main identifier of the user in the
      platform.

      - The profile of the user is derived from the id_token claims `email` and
      `name`.


      When a user authenticates for the first time, it performs an automatic
      signup that persist the profile claims along with it’s unique identifier.

      ​

      ### Groups


      Groups allows defining who may access or interact with certain resources.


      - For connection resources it’s possible to define which groups has access
      to a specific connection, this is enforced when the Access Control feature
      is enabled.

      - For review resources, it’s possible to define which groups are allowed
      to approve an execution, this is enforced when the Review feature is
      enabled.


      > This resource could be managed manually via Webapp or propagated by the
      identity provider via ID Token. In this mode, groups are sync when a user
      performs a login.


      ### Roles


      - The `admin` group is a special role that grants full access to all
      resources


      This role should be granted to users that are responsible for managing the
      Gateway. All other users are regular, meaning that they can access their
      own resources and interact with connections.
    name: User Management
  - description: Routes used to manage and obtain information about the runtime server.
    name: Server Management
  - description: Features available in the gateway. See also **Plugin** resources.
    name: Features
  - description: >-
      Proxy manager endpoints controls how clients connect via gRPC in the
      gateway. These endpoints are meant to be used when a client is initialized
      via `hoop proxy-manager`.
    name: Proxy Manager
  - name: Connections
  - name: Agents
  - name: Runbooks
  - name: Guard Rails
  - name: Reviews
  - name: Sessions
  - name: Organization Management
  - name: Reports
paths:
  /integrations/aws/rds/describe-db-instances:
    post:
      tags:
        - AWS
      summary: List Database Instances
      description: It list RDS Database Instances
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/openapi.ListAWSDBInstancesRequest'
        description: The request body resource
        required: true
        x-originalParamName: request
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.ListAWSDBInstances'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.HTTPError'
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.HTTPError'
          description: Internal Server Error
components:
  schemas:
    openapi.ListAWSDBInstancesRequest:
      properties:
        account_ids:
          description: List of account IDs to scope resources in
          items:
            type: string
          type: array
      type: object
    openapi.ListAWSDBInstances:
      properties:
        items:
          items:
            $ref: '#/components/schemas/openapi.AWSDBInstance'
          type: array
      type: object
    openapi.HTTPError:
      properties:
        message:
          example: the error description
          type: string
      type: object
    openapi.AWSDBInstance:
      properties:
        account_id:
          description: >-
            AccountID is the unique identifier for the AWS account that owns the
            database
          example: '123456789012'
          type: string
        arn:
          description: >-
            ARN is the Amazon Resource Name that uniquely identifies the
            database instance
          example: arn:aws:rds:us-west-2:123456789012:db:my-postgres-db
          type: string
        availability_zone:
          description: >-
            AvailabilityZone is the AWS availability zone where the database is
            deployed
          example: us-west-2a
          type: string
        connection_resources:
          description: |-
            Contains the connection resources that were already provisioned.
            The resources are marked with a specific tag after completion.
          example:
            - pgtest1
            - pgtest2
          items:
            type: string
          type: array
        engine:
          description: Engine is the database engine type (e.g., MySQL, PostgreSQL)
          example: postgres
          type: string
        error:
          description: >-
            Contains an error in case it was not able to list the db instances
            from the account id
          example: >-
            IAM account does not have permission to list db instances in this
            account
          type: string
        name:
          description: Name is the identifier for the database instance
          example: my-postgres-db
          type: string
        status:
          description: Status indicates the current state of the database instance
          example: available
          type: string
        vpc_id:
          description: >-
            VpcID is the ID of the Virtual Private Cloud where the database is
            deployed
          example: vpc-0123456789abcdef0
          type: string
      type: object

````